Package org.apache.sysds.parser

# Enum Class PrintStatement.PRINTTYPE

java.lang.Object
java.lang.Enum<PrintStatement.PRINTTYPE>
org.apache.sysds.parser.PrintStatement.PRINTTYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<PrintStatement.PRINTTYPE>`, `Constable`

Enclosing class:
  PrintStatement

public static enum PrintStatement.PRINTTYPE extends Enum<PrintStatement.PRINTTYPE>
The PRINTTYPE options are: PRINT, PRINTF, and STOP.

Note that PRINTF functionality is overloaded onto the existing 'print' built-in function.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASSERT`
`PRINT`
`PRINTF`
`STOP`

## Method Summary

Modifier and Type
Method
Description
`static PrintStatement.PRINTTYPE`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PrintStatement.PRINTTYPE[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRINT

public static final PrintStatement.PRINTTYPE PRINT

### PRINTF

public static final PrintStatement.PRINTTYPE PRINTF

### STOP

public static final PrintStatement.PRINTTYPE STOP

### ASSERT

public static final PrintStatement.PRINTTYPE ASSERT

## Method Details

### values

public static PrintStatement.PRINTTYPE[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PrintStatement.PRINTTYPE valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null